Skip to main content
`Ctrl`+`K`

# DMPlexGetRedundantDM

Get a copy of the `DMPLEX` that is completely copied on each process.

## Synopsis

    #include "petscdmplex.h"
    #include "petscdmlabel.h"
    PetscErrorCode DMPlexGetRedundantDM(DM dm, PetscSF *sf, PeOp DM *redundantMesh)

Collective

## Input Parameter

- dm - the original `DMPLEX` object

## Output Parameters

- sf - the `PetscSF` used for point distribution (optional)

- redundantMesh - the redundant `DM` object, or `NULL`

## See Also

`DMPLEX`, `DMPlexDistribute()`, `DMPlexGetGatherDM()`

## Level

intermediate

## Location

src/dm/impls/plex/plexdistribute.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages